from abejacli.config import RUN_LOCAL_COMMAND_V1, RUN_LOCAL_COMMAND_V2

TAG_VERSION_SAMPV1 = ['18.10', '0.1.0', '0.1.0-arm64v8', '0.1.0-arm32v7']


def get_runtime_command(tag: str, v1_flag: bool):
    if v1_flag:
        return RUN_LOCAL_COMMAND_V1

    if tag in TAG_VERSION_SAMPV1:
        return RUN_LOCAL_COMMAND_V1

    return RUN_LOCAL_COMMAND_V2
